<?php

/**
 * Class d3_order_overview_payremind
 */
class d3_order_overview_payremind extends d3_order_overview_payremind_parent
{
    public function d3sendPayRemind()
    {
        /**
         * @var oxorder $oOrder
         */
        $oOrder = oxNew("oxorder");
        if ($oOrder->load($this->getEditObjectId())) {

            // #1071C
            $oOrderArticles = $oOrder->getOrderArticles();
            foreach ($oOrderArticles as $sOxid => $oArticle) {
                // remove canceled articles from list
                if ($oArticle->oxorderarticles__oxstorno->value == 1) {
                    $oOrderArticles->offsetUnset($sOxid);
                }
            }

            // send eMail
            $oEMail = oxNew("oxemail");
            if ($oEMail->d3sendPayRemind($oOrder)) {
                $oOrder->oxorder__d3payreminddate = new oxField(date("Y-m-d H:i:s", oxRegistry::get("oxUtilsDate")->getTime()));
                $oOrder->save();
            }
        }
    }
}